Android - " Parsing données pour android - 21 a échoué"

? warbi @ | Original: StackOverFlow

Eu l'erreur suivante dans Eclipse après avoir installé Android 5.0 ( SDK 21 )

" Chargement des données pour Android 5.0 " a rencontré un problème .

L'analyse des données pour android - 21 n'a pas   ancienne version majeur.mineur 51,0



Top 5 Respuesta

1warbi @

Essayez d'installer JDK 1.8 et recharger Eclipse .

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html



2Amit P @

Au début, je faisais face à la même question . Je ai mis à JDK1.7 . Toujours problème persiste . Cela est dû au fait que certains éclipse de temps takees le SDK par défaut 1,6 . Pour résoudre ce :

Change the environmental path to point 1.7/1.8 Open Eclipse and goto windows tab-> preference Goto Java->complier and set Compiler compliance level to 1.7 and press apply. Then Goto Installed JRE Section. check if the installed jdk is listed and selected in the list. If not listed give the manual path using search. then select the jdk version and remove other versions in the list. in installed JRE go to execution environment and select the intended java se version and check it in compatible section Presss ok and restart Eclipse.

Cela devrait résoudre le problème.